Skip to main content
Report Queries

Get Report Groups

This method requires the ReportGroups:Get permission to be associated with your role.

GET
/gb/report-groups
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
report_typeenum<string>query

(Optional) Report type

Available options: pay-run, pay-run-reports, periodic-lease, combined, recharge-fuel, recharge
client_idstringquery

(Optional) Client Id

Only show report groups for the specified client.

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
include_inactive flagenum<string>querydefault:no

(Optional) Include inactive report groups

Available options: no, yes
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1